function OnWarpEnter() 
	SetMarker("cs\\Warp_0039.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0032.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0029.wp" , 0 , 0)

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end


	if ETAT_DAY == "D1" then 

	end 

	if ETAT_DAY == "D2" then 
		-- feu anti-pestiféré
		StartAnimationPart("dpbn",30,60,-1,false)
	end 

	if ETAT_DAY == "D3" then 

		if NeedSmith and  not REMEDY_READY_D3 and not KEYMOLD_TALK then
			if not SAVE_03 then
				-- SAVE
				SAVE_03 = true
				SaveGame("3.xml")
			end
		end
	end 

	if ETAT_DAY == "D4" then 

	end 

	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0039.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0032.wp" then 
		if GIVE_KEY_MOLD and not KEY_IMPRESSION_READY then -- activé en W25/W28/W45
			DrawText("Ma2042","Ma2042.ogg",0) -- Il n'a certainement pas eu le temps de terminer la clef, je reviendrai plus tard.
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0029.wp" then 
		ChangeWarp(objectName)
	end

--DAY1
	if ETAT_DAY == "D1" then 
		if objectName == "dgb1" then

		elseif objectName == "dhb1" then

		elseif objectName == "dib1" then

		elseif objectName == "djb1" then

		elseif objectName == "dtb1" then

		elseif objectName == "dwb1" then

		elseif objectName == "dxb1" then

		elseif objectName == "cxa1" then

		elseif objectName == "cxan" then

		elseif objectName == "cya1" then

		elseif objectName == "cyan" then

		elseif objectName == "dab1" then

		elseif objectName == "dabn" then

		elseif objectName == "dbb1" then

		elseif objectName == "dpb1" then

		elseif objectName == "dpbn" then

		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "nic1" then

		elseif objectName == "nkc1" then

		elseif objectName == "nmbn" then

		elseif objectName == "nqbn" then

		end
	end 

--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 

	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 
	
	end 
end
